<?php

namespace App\Modules\HtlCampLock\Domain;

use App\Modules\Shared\Domain\ValueObject\EnumValueObject;

class HtlCampLockStatus extends EnumValueObject
{

    public const DELETED = 0;
    public const ACTIVE = 2;

    public static function values(): array
    {
        return [self::DELETED, self::ACTIVE];
    }

    public static function defaultValue()
    {
        return new self(self::ACTIVE);
    }

    public static function deletedValue()
    {
        return new self(self::DELETED);
    }
}
